function _ts_decorate(decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for(var i = decorators.length - 1; i >= 0; i--)if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
}
function _ts_metadata(k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
}
import { Column, Entity, Index, PrimaryColumn } from "typeorm";
import { id } from "../id.js";
export let UserEmoji = class UserEmoji {
    id;
    createdAt;
    name;
    userId;
    userGroupId;
    originalUrl;
    publicUrl;
    type;
    glyph;
    width;
    height;
};
_ts_decorate([
    PrimaryColumn(id()),
    _ts_metadata("design:type", String)
], UserEmoji.prototype, "id", void 0);
_ts_decorate([
    Column("timestamp with time zone"),
    _ts_metadata("design:type", typeof Date === "undefined" ? Object : Date)
], UserEmoji.prototype, "createdAt", void 0);
_ts_decorate([
    Index(),
    Column("varchar", {
        length: 128
    }),
    _ts_metadata("design:type", String)
], UserEmoji.prototype, "name", void 0);
_ts_decorate([
    Index(),
    Column({
        ...id(),
        nullable: true
    }),
    _ts_metadata("design:type", Object)
], UserEmoji.prototype, "userId", void 0);
_ts_decorate([
    Index(),
    Column({
        ...id(),
        nullable: true
    }),
    _ts_metadata("design:type", Object)
], UserEmoji.prototype, "userGroupId", void 0);
_ts_decorate([
    Column("varchar", {
        length: 512
    }),
    _ts_metadata("design:type", String)
], UserEmoji.prototype, "originalUrl", void 0);
_ts_decorate([
    Column("varchar", {
        length: 512,
        default: ""
    }),
    _ts_metadata("design:type", String)
], UserEmoji.prototype, "publicUrl", void 0);
_ts_decorate([
    Column("varchar", {
        length: 64,
        nullable: true
    }),
    _ts_metadata("design:type", Object)
], UserEmoji.prototype, "type", void 0);
_ts_decorate([
    Column("boolean", {
        default: false
    }),
    _ts_metadata("design:type", Boolean)
], UserEmoji.prototype, "glyph", void 0);
_ts_decorate([
    Column("integer", {
        nullable: true,
        comment: "Image width"
    }),
    _ts_metadata("design:type", Object)
], UserEmoji.prototype, "width", void 0);
_ts_decorate([
    Column("integer", {
        nullable: true,
        comment: "Image height"
    }),
    _ts_metadata("design:type", Object)
], UserEmoji.prototype, "height", void 0);
UserEmoji = _ts_decorate([
    Entity(),
    Index([
        "name",
        "userId"
    ], {
        unique: true
    }),
    Index([
        "name",
        "userGroupId"
    ], {
        unique: true
    })
], UserEmoji);
